org.wildfly.swarm.config.ejb3

## Class ChannelCreationOptions<T extends ChannelCreationOptions<T>>

- java.lang.Object
- - org.wildfly.swarm.config.ejb3.ChannelCreationOptions<T>

-     public class ChannelCreationOptions<T extends ChannelCreationOptions<T>>
      extends Object

  The options that will be used during the EJB remote channel creation

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ChannelCreationOptions.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelCreationOptions(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `ChannelCreationOptions.Type` | `type()` The type of the channel creation option
    `T` | `type(ChannelCreationOptions.Type value)` The type of the channel creation option
    `String` | `value()` The value for the EJB remote channel creation option
    `T` | `value(String value)` The value for the EJB remote channel creation option

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelCreationOptions

          public ChannelCreationOptions(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### type

          public ChannelCreationOptions.Type type()

      The type of the channel creation option

    - #### type

          public T type(ChannelCreationOptions.Type value)

      The type of the channel creation option

    - #### value

          public String value()

      The value for the EJB remote channel creation option

    - #### value

          public T value(String value)

      The value for the EJB remote channel creation option

Copyright © 2017 JBoss by Red Hat. All rights reserved.